Procedure (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ziclix.python.sql
Class Procedure

    java.lang.Object
      |
      +--com.ziclix.python.sql.Procedure

public class Procedure
extends java.lang.Object

Class Procedure

Version:
  $Revision: 1.4 $
Author:
  brian zimmer
, last modified by $Author: bzimmer $

Field Summary
`static PyObject` | `PLACEHOLDER` Field PLACEHOLDER

Constructor Summary
`Procedure(PyCursor cursor, PyObject name)` Constructor Procedure

Method Summary
`boolean` | `isInput(int index)` This method determines whether the param at the specified index is an IN or INOUT param for a stored procedure.
`void` | `normalizeInput(PyObject params, PyObject bindings)` Prepare the binding dictionary with the correct datatypes.
`java.sql.CallableStatement` | `prepareCall()` Prepares the statement and registers the OUT/INOUT parameters (if any).
`java.lang.String` | `toSql()` Returns the call in the syntax: {?

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLACEHOLDER

    public static final PyObject PLACEHOLDER

  Field PLACEHOLDER

Constructor Detail

### Procedure

    public Procedure(PyCursor cursor,
                     PyObject name)
              throws java.sql.SQLException

  Constructor Procedure

Throws:
  `java.sql.SQLException`

Method Detail

### prepareCall

    public java.sql.CallableStatement prepareCall()
                                           throws java.sql.SQLException

  Prepares the statement and registers the OUT/INOUT parameters (if any).

  Returns:
    CallableStatement
  Throws:
    `java.sql.SQLException`

### normalizeInput

    public void normalizeInput(PyObject params,
                               PyObject bindings)
                        throws java.sql.SQLException

  Prepare the binding dictionary with the correct datatypes.

  Parameters:
    `params` - a non-None list of params
    `bindings` - a dictionary of bindings
    `java.sql.SQLException`

### isInput

    public boolean isInput(int index)
                    throws java.sql.SQLException

  This method determines whether the param at the specified index is an IN or INOUT param for a stored procedure. This is only configured properly AFTER a call to normalizeInput().

  Parameters:
    `index` - JDBC indexed column index (1, 2, ...)
  Returns:
    true if the column is an input, false otherwise
  Throws:
    `java.sql.SQLException`

### toSql

    public java.lang.String toSql()
                           throws java.sql.SQLException

  Returns the call in the syntax: {? = call (?, ?, ...)} {call (?, ?, ...)} As of now, all parameters variables are created and no support for named variable calling is supported.

  Returns:
    String
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage